.formularz {
	padding: 50px 0 100px 0;
}

.formularz h2 {
	color: var(--Dark-Grey, #0946CE);
	font-size: 90px;
	font-style: italic !important;
	font-weight: 400;
	line-height: 110%; /* 110px */
	letter-spacing: -3px;
	margin: 0 auto 60px auto;
}

.formularz h2 * {
	color: var(--Dark-Grey, #0946CE);
	font-size: 90px;
	line-height: 110%; /* 110px */
	letter-spacing: -3px;
}

.formularz h2 i {
	font-style: italic;
}

.formularz h2 b,
.formularz h2 strong {
	font-weight: 600;
}

.formularz .border {
	border: 1px solid #0946CE;
	margin-bottom: 40px;
	padding: 20px 0;
	border-radius: 80px;
}

.formularz .border.short-form {
	padding: 40px;
	max-width: 950px;
    margin: 0 auto;
}

.formularz .border + .border {
	padding: 0;
}

.formularz .flex-container {
	gap: 100px;
}

.formularz .border.short-form .flex-container {
	gap: 40px;
	justify-content: space-between;
}

.formularz .flex-container + .flex-container {
	margin-top: 40px;
}

div.label,
.formularz label {
	color: var(--Dark-Grey, #0946CE);
	text-overflow: ellipsis;
	font-family: Inter;
	font-size: 19px;
	font-style: normal;
	font-weight: 400;
	line-height: 120%; /* 22.8px */
	letter-spacing: -0.57px;
}

.wpcf7-not-valid-tip {
	display: block;
	font-size: 12px;
    position: absolute;
    top: -25px;
    left: 0;
}

.wpcf7-form-control-wrap>.wpcf7-radio,
.wpcf7-form-control-wrap>.wpcf7-checkbox {
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.formularz label>span:not(.wpcf7-list-item-label) {
	display: block;
	margin-top: 25px;
}

.formularz .border.short-form label>span {
	margin-top: 0;
}

.formularz label>span input,
.formularz label>span textarea {
	display: block;
	width: 100%;
	color: #0946CE;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 120%;
	border: none;
	background: transparent;
	border-bottom: 1px solid #0946CE;
}

.formularz label>span input::placeholder,
.formularz label>span textarea::placeholder {
	color: var(--Light-Grey, #0946CE);
	font-family: Inter;
	font-size: 16px;
	font-style: normal;
	font-weight: 300;
	line-height: 120%;
}

.formularz .border.short-form label>span input[type="radio"],
.formularz .border.short-form label>span input[type="checkbox"] {
	display: inline-block;
	width: auto;
	margin-right: 10px;
}

.formularz .border.short-form label>span input[type="radio"] + span,
.formularz .border.short-form label>span input[type="checkbox"] + span {
	display: inline-block;
	width: auto;
	color: var(--Dark-Grey, #0946CE);
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 150%;
}

.formularz .border.short-form label>span input[type="radio"] + span a,
.formularz .border.short-form label>span input[type="checkbox"] + span a {
	color: var(--Dark-Grey, #0946CE);
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 150%;
	text-decoration-line: underline;
}

.formularz label>span textarea {
	height: 26px
}

.formularz .three label,
.formularz .three div.label {
	width: calc(33.3% - 33.4px);
}

.formularz .two label,
.formularz .two div.label {
	width: calc(50% - 50px);
}

.formularz .one label,
.formularz .one div.label {
	width: 100%;
}

.formularz .two div.label + label {
	margin-top: 30px;
}

.formularz .border.short-form .three label,
.formularz .border.short-form .three div.label {
	width: auto;
}

.formularz .border.short-form .two label,
.formularz .border.short-form .two div.label {
	width: auto;
}

.formularz .border.short-form .one label,
.formularz .border.short-form .one div.label {
	width: auto;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label {
	position: relative;
	display: flex;
	cursor: pointer;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label span:after {
	content:  " ";
	width: 30px;
	height: 30px;
	background: url('/wp-content/uploads/2025/05/Frame-325.svg');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	position: absolute;
	top: 50%;
	left: 45px;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	transition: 300ms;
	z-index: 1;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label span:before {
	content:  " ";
	width: 30px;
	height: 30px;
	background: url('/wp-content/uploads/2025/05/Frame-324.svg');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	position: absolute;
	top: 50%;
	left: 45px;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	opacity: 0;
	transition: 300ms;
	z-index: 2;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label:hover input + span:before {
	opacity: 0.3;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label input:checked + span:before {
	opacity: 1;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label input {
	width: 110px;
	opacity: 0;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label span {
	width: calc(100% - 110px);
	margin: 0 auto;
	color: #0946CE;
	font-size: 19px;
	font-style: normal;
	font-weight: 300;
	line-height: 120%; /* 22.8px */
	padding: 25px 40px;
	border-left: 1px solid #0946CE;
}

.formularz .border:not(.short-form) .wpcf7-acceptance label span a {
	text-decoration: underline;
	color: #0946CE;
	font-size: 19px;
	font-style: normal;
	font-weight: 300;
	line-height: 120%; 
}

.formularz input[type="submit"] {
	position: relative;
	display: block;
	margin: 0 auto 0 0;
	color: #0946CE;
	font-size: 19px;
	font-style: normal;
	font-weight: 400;
	line-height: 120%; /* 22.8px */
	border-radius: 100px;
	border: 1px solid #0946CE;
	width: 220px;
	background: none;
	padding: 16px 30px;
	text-align: center;
	transition: 300ms;
	cursor: pointer;
}

.formularz .border.short-form input[type="submit"] {
	color: var(--Dark-Grey, #0946CE);
	font-feature-settings: 'salt' on;
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 150%; 
	width: auto;
	padding: 10px 24px;
}

.formularz input[type="submit"]:hover {
	color: #fff;
	background: #312C2A;
}

.formularz .file .wpcf7-form-control-wrap {
	display: none;
}

.formularz .file {
	justify-content: start;
}

.formularz .file label {
	cursor: pointer;
	display: inline-block;
	padding: 16px 30px;
	border: 1px solid var(--KSY-web-blue-1, #0946CE);
	border-radius: 30px;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 110%;
	width: auto !important;
	transition: 300ms;
}

.formularz .file label:hover {
	color: #fff;
	background: #0946CE;
}

.formularz .file {
	margin-bottom: 40px;
}

.wpcf7-form-control-wrap {
	display: block;
}

.border.short-form [data-name^="acceptance"] {
	width: 205px;
}

.wpcf7-form-control-wrap label {
	width: auto !important;
}

.wpcf7-form-control-wrap .wpcf7-radio label input,
.wpcf7-form-control-wrap .wpcf7-checkbox label input {
	position: absolute;
	z-index: -1;
	left: -10946CEpx;
	opacity: 0;
}

.wpcf7-form-control-wrap .wpcf7-radio label .wpcf7-list-item-label,
.wpcf7-form-control-wrap .wpcf7-checkbox label .wpcf7-list-item-label {
	color: #0946CE;
	padding: 15px 30px;
    display: block;
	border-radius: 100px;
	border: 1px solid #0946CE;
	text-align: center;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 120%; /* 19.2px */
	transition: 300ms;
}

.wpcf7-form-control-wrap .wpcf7-radio label:hover input:checked + .wpcf7-list-item-label,
.wpcf7-form-control-wrap .wpcf7-checkbox label:hover input:checked + .wpcf7-list-item-label  {
	border: 1px solid rgba(0, 0, 0, 0.5);
}

.wpcf7-form-control-wrap .wpcf7-radio label input:checked + .wpcf7-list-item-label,
.wpcf7-form-control-wrap .wpcf7-checkbox label input:checked + .wpcf7-list-item-label  {
	border: 1px solid #0946CE;
}

.wpcf7-form-control-wrap .wpcf7-list-item {
	margin-left: 0;
}

.wpcf7 form .wpcf7-response-output {
	padding: 1em;
    color: #0946CE;
    font-size: 19px;
    font-style: normal;
    font-weight: 300;
    line-height: 120%;
}

.wpcf7-form {
	position: relative;
}

.wpcf7-spinner {
	position: absolute;
	bottom: 8px;
}

@media only screen and (max-width: 996px) {
	.formularz {
		padding: 50px 0;
	} 

	.formularz h2 {
		color: #312C2A;
		font-size: 36px;
		font-style: normal !important;
		font-weight: 400!important;
		line-height: 105%; /* 24.15px */
		letter-spacing: 0;
	}

	.formularz h2 * {
		font-size: 36px;
		letter-spacing: 0;
		font-style: normal !important;
		font-weight: 400 !important;
	}

	.formularz form>.border:not(.short-form) {
		border: none;
		padding: 0;
	}

	.formularz .border.short-form {
		padding: 30px;
	}

	.formularz .border.short-form .flex-container {
		gap: 0;
	}

	.formularz .border.short-form label + label, 
	.formularz .border.short-form div.label + div.label {
		margin-top: 15px;
	}

	.formularz form>.border + .border {
		border: 1px solid #0946CE;
	}

	.formularz .one label,
	.formularz .two label,
	.formularz .three label,
	.formularz .one div.label,
	.formularz .two div.label,
	.formularz .three div.label {
		width: 100% !important;
	}

	.formularz .flex-container + .flex-container {
		margin-top: 30px;
	}

	.formularz label {
		overflow: hidden;
		color: var(--Dark-Grey, #0946CE);
		text-overflow: ellipsis;
		font-size: 19px;
		font-style: normal;
		font-weight: 400;
		line-height: 120%; /* 22.8px */
		letter-spacing: -0.57px;
	}

	.formularz label + label,
	.formularz div.label + div.label {
		margin-top: 30px;
	}

	.formularz label>span input, .formularz label>span textarea {
		color: #181818;
		font-size: 19px;
		font-style: normal;
		font-weight: 300;
		line-height: 120%; /* 22.8px */
	}

	.formularz label>span textarea  {
		height: 200px;
	}

	.formularz .flex-container {
		gap: 0;
	}

	.formularz .wpcf7-acceptance label span {
		width: calc(100% - 50px);
		padding: 15px;
		color: #0946CE;
		font-size: 14px;
		font-style: normal;
		font-weight: 300;
		line-height: 120%; /* 16.8px */
	}

	.wpcf7 form .wpcf7-response-output {
		font-size: 14px;
	}

	.formularz .wpcf7-acceptance label span:after{
		left: 15px;
	}

	.formularz .wpcf7-acceptance label input {
		width: 50px;
	}

	.formularz .border:not(.short-form) .wpcf7-acceptance label span {
		font-size: 14px;
		padding: 15px;
	}

	div.label,
	.formularz label {
		font-size: 16px;
	}

	.border.short-form [data-name^="acceptance"] {
		width: 100%;
		text-align: center;
	}

	.formularz .border.short-form label>span input[type="checkbox"] + span {
		padding-top: 0;
    	padding-bottom: 0;
	}

	.wpcf7-acceptance label {
		display: flex;
		align-items: center;
		text-align: center;
	}

	.formularz .border.short-form input[type="submit"] {
		display: block;
		width: 100%;
		max-width: 100%;
	}
}